<?php
/*
Plugin Name: estimated
Plugin URI: http://smkn.xsrv.jp/blog/2010/08/wordpress-plugin-estimated
Description: 記事を全て読み終えるまでにかかる、おおよその所要時間を表示させるプラグインです。
Version: 1.0
Author: smkn
Author URI: http://smkn.xsrv.jp/blog/
*/

/*
This plugin is inspired Rrian Cray's blog entry.
http://briancray.com/2010/04/09/estimated-reading-time-web-design/
*/

/*
Copyright 2010 smkn (email : smkn.xxx@gmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

add_filter('the_excerpt', filter_estimated);
add_filter('the_content', filter_estimated);

function filter_estimated($content) {
	global $post;
	$mycontent = $post->post_content;
	$word = mb_strlen(strip_tags($mycontent));
	$m = floor($word / 500);
	$s = floor($word % 500 / (500 / 60));
	$est = '<div style="border-top:2px dotted #ccc;border-bottom:2px dotted #ccc;padding:0.2em 0;text-align:right;font-size:small;color:#444">'."\n";
	$est .= "\t".'この記事の所要時間： ';
	$est .= '<span style="font-weight:bold">約 <span style="color:#f00">'.$m.'</span>分<span style="color:#f00">'.$s.'</span>秒</span>'."\n";
	$est .= "</div>\n";
	$est .= $content;
	return $est;
}
?>